/*
Arduino Uno/NANO:

 DS3231:  SDA pin   -> Arduino Analog 4 or the dedicated SDA pin
          SCL pin   -> Arduino Analog 5 or the dedicated SCL pin
*/



#include <DS3231.h>


DS3231  rtc(SDA, SCL);// Init the DS3231 using the hardware interface

void setup()
{
  // Setup Serial connection
  Serial.begin(115200);
 
  rtc.begin();// Initialize the rtc object
  
  // The following lines can be uncommented to set the date and time
  //rtc.setDOW(SATURDAY);     // Set Day-of-Week 
  //rtc.setTime(19, 32, 0);     // Set the time (HOUR,MINUTE,SECONDS) (24hr format)
  //rtc.setDate(3, 7, 2021);   // Set the date (DD,MM,YYYY)
}

void loop()
{
  // Send Day-of-Week
  Serial.print(rtc.getDOWStr());
  Serial.print(" ");
  
  // Send date
  Serial.print(rtc.getDateStr());
  Serial.print(" -- ");

  // Send time
  Serial.println(rtc.getTimeStr());
  
  delay (1000);// Wait one second before repeating :)
}
